{% extends 'crud/list.html' %}
{% load crispy_forms_tags %}
{% load static %}
{% load crm_utils %}
{% block content %}
<div class="container-fluid" style="display: flex; justify-content: flex-end">
    {% block messages %}
            {% if messages %}
                {% for message in messages %}
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
                    <div id="success-alert" class="alert alert-success" role="alert">
                        {{ message }}
                    </div>
                    {% endif %}
                    <script type="application/javascript">
                        setTimeout(function(){
                            document.getElementById("success-alert").style.display = "none";}, 3000);
                    </script>
                {% endfor %}
    {% endif %}
    {% endblock %}

    {% block page_heading %}
         {% block create_btn %}
                            <div class="d-flex p-2 justify-content-end btn-action" id="create-btn" style="order: 1;">
                            <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-success shadow-sm" data-toggle="modal" data-target="#createModal"><i
                                    class="fas fa-plus fa-sm text-white-50"></i> Создать {{ create_name }}</a>
                            </div>

                            <div class="d-flex p-2 justify-content-end btn-action" id="create-btn">
                            <a href="{% url 'client_info_installment' client_id=client_id %}" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                    class="fas fa-arrow-left fa-sm text-white-50"></i> Назад</a>
                            </div>
                            {% block create_modal %}
                            <!-- Modal -->
                            <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"> Создать {{ create_name }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                    </button>
                                  </div>
                                  <div class="modal-body">
                                      <div id="error-alert" class="alert alert-danger" role="alert" style="display: none">
                                      </div>
                                      <form id="create-form" action="{% url create_url client_id installment_id %}" method="post" enctype="multipart/form-data">
                                          {% csrf_token %}
                                          {{ create_form.create_date|as_crispy_field }}
                                          <div class="form-group">
                                          {{ create_form.payment.label }}
                                            {{ create_form.payment }}
                                            <div class="invalid-feedback" style="display: none" id="invalid_payment">
                                                Введенная сумма превышает сумму долга
                                            </div>
                                          </div>
                                          {% for hidden in create_form.hidden_fields %}
                                                {{ hidden }}
                                          {% endfor %}
                                      </form>
                                  </div>
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
                                    <button type="submit" id="create-submit" form="create-form" class="btn btn-primary">Сохранить</button>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <!-- Modal -->
                            {% endblock %}
                        </div>
                        {% endblock %}
    {% endblock %}
    


    
    <div class="card shadow mb-4">
            <div class="card-header py-3">
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      {% comment %} <th><input id="mass-choice" type="checkbox"></th> {% endcomment %}
                      <th>Дата внесения платежа</th>
                      <th>Сумма</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  <tbody>
                  {% for payment in payments %}
                  <tr>
                    <td>{{ payment.create_date }}</td>
                    <td>{{ payment.payment }}</td>
                    <td>
                        <a href="#" data-toggle="modal" data-target="#delete-payment-{{ payment.id }}">
                            <i class="fa fa-trash"></i>
                        </a>
                        {% include "client/information/installment/installmentlist_deletemodal.html" with payment_id=payment.id summ=payment.payment url="payment_delete"|reverso installment_id=installment_id  %}
                    </td>
                  </tr>
                  {% endfor %}

                  </tbody>
                </table>

</div>

{% endblock %}
{% block custom_includes %}
    {% load static %}
    {{ block.super }}
    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
    <script src="{% static 'custom/js/installments/payments.js' %}"></script>
{% endblock %}